## ----setup, echo=FALSE, results="hide"-----------------------------------
knitr::opts_chunk$set(tidy=FALSE, cache=FALSE,
                      dev="png",
                      message=FALSE, error=FALSE, warning=FALSE)

## ----install_depend, eval = FALSE----------------------------------------
#  if (!requireNamespace("BiocManager", quietly = TRUE))
#      install.packages("BiocManager")
#  
#  BiocManager::install("impute")
#  install.packages(c("glmnet","survivalROC"), repos = "https://cran.rstudio.com")

## ------------------------------------------------------------------------
library(survriskpred)
res <- test.survRiskPredict("Pomeroy",outputName = "survivalRiskPrediction", generateHTML = FALSE)

## ------------------------------------------------------------------------
names(res) 

## ------------------------------------------------------------------------
res$predictNewSamplesModE

## ------------------------------------------------------------------------
res$genesInClassifierModE[1:6,]

## ------------------------------------------------------------------------
res$loadingMatrixModE[1:6,]

## ------------------------------------------------------------------------
res$predictRiskTrainingModE[1:9,]

## ------------------------------------------------------------------------
res$predictNewSamplesModCo

## ------------------------------------------------------------------------
res$genesInClassifierModCo[1:6,]

## ------------------------------------------------------------------------
res$loadingMatrixModCo[1:6,]

## ------------------------------------------------------------------------
res$predictRiskTrainingModCo[1:9,]

## ---- fig.show='hold', fig.width=5, fig.height=5-------------------------
library(survriskpred)
res <- test.survRiskPredict("Pomeroy",outputName = "SurvivalRiskPrediction")
plotKMCurve(res, 1)
plotKMCurve(res, 2)
plotKMCurve(res, 3)
plotROCCurveRisk(res)

